Difficulties with BLT 2.1 and [incr Tcl 2.1] 
Author Message
 Difficulties with BLT 2.1 and [incr Tcl 2.1]

I'm having some difficulties with BLT v2.1 and [incr Tcl 2.1]...

With BLT 2.1, I am able to get it to install using Tcl 7.5/Tk 4.1, but nothing newer...

I'd rather be using Tcl 7.6/Tk 4.2, but BLT doesn't seem to compile with these.

(actually it doesn't link properly...)  One other problem I've been experiencing with BLT

is that it seems to crash whenever I use one of the barchart demos which "activates"

(hilights ? flashes ?) some of the graph elements.  I also run into this problem with

my own BLT? scripts.

I would expect [incr Tcl] to be fairly easy to install, and I followed all of the directions

as best I could, but it seems that no matter how carefully I go through the configuration process,

or whether or not I have installed Tcl and Tk already, it always fails during linking during a

make (can't find the libtcl7.5i no such file or directory).  It doesn't seem to matter that I have

already configure itcl for use with tcl7.5/tk4.1 or installed them or anything.  I have run into the

same problem on two similar, albeit not identical, machines both running RHL 4.0.

If anyone has any ideas on what's going wrong, please email me.  Thank you.

Dave Beach

--
David J. C. Beach
Colorado State University

http://www.*-*-*.com/ ~beach

?



Fri, 10 Sep 1999 03:00:00 GMT  
 Difficulties with BLT 2.1 and [incr Tcl 2.1]


: I'm having some difficulties with BLT v2.1 and [incr Tcl 2.1]...

Do you still have them after upgrading to blt8.0a2-unoff?

mike



Sat, 11 Sep 1999 03:00:00 GMT  
 Difficulties with BLT 2.1 and [incr Tcl 2.1]


Quote:

> I'm having some difficulties with BLT v2.1 and [incr Tcl 2.1]...

> With BLT 2.1, I am able to get it to install using Tcl 7.5/Tk 4.1, but nothing newer...

> I'd rather be using Tcl 7.6/Tk 4.2, but BLT doesn't seem to compile with these.

> (actually it doesn't link properly...)  One other problem I've been experiencing with BLT

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
I had the same problem.  There was a reference to Tcl_CreatePipeline.
However, by configuring
BLT:

./configure --with-cflags=-DNO_BGEXEC

I avoided the link error.  However, this assumes you do not want to use
BLT's
'begexec' command.

Humberto

Quote:
> --
> David J. C. Beach
> Colorado State University

> http://www.cs.colostate.edu/~beach

--
-----------------------------------------------------------------------
| My opinions may have changed, but  | The opinions expressed above   |
| the fact that I am correct has not.| are entirely my own, although  |
|                                    | I reserve the right to deny    |
|       - random cool quote          | everything.  They are certainly|
|                                    | not my employer's.             |
-----------------------------------------------------------------------


Mon, 13 Sep 1999 03:00:00 GMT  
 
 [ 3 post ] 

 Relevant Pages 

1. incr Tcl 2.1 & BLT 2.1

2. Tcl v7.5/ [incr Tcl] 2.1 - Y2K

3. isa broken in [incr Tcl] 2.1?

4. Patch to TclX 7.5.2 to support Incr Tcl 2.1

5. BLT 2.1 shared version AND tcl 7.6 - 8.0a2

6. BLT 2.1 for tcl 8.0 on Win95?

7. ANNOUNCE: BLT 2.1 (preliminary) patch for tcl/tk8.0a1

8. ANNOUNCE: BLT 2.1 (preliminary) patch for tcl/tk8.0a1

9. BLT 2.1 and Tcl 7.5p1/Tk 4.1p1

10. WorldView 2.1 vs Cosmo Player 2.1

11. Python 2.1 == Jython 2.1 != Python 2.2?

12. BLT installation woes under W98 (Python 2.1)

 

 
Powered by phpBB® Forum Software